Loading...

Get the Details of a Specific User

Description

This API enables you to obtain the details of a specific Catalyst application user, by passing their user_ID in the request.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/project-user/{user_id}

copy

api-domain
URL
The DC-specific domain to access Catalyst API

project_id
Numerical
The unique ID of the project

user_id
Numerical
The unique ID of the user

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.projects.users.READ

Response Details

The response will contain the details of the specific user including their identification values such as zuid, user_id, email_id, and their role details.

Sample Request
copy

curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/3000000005007/project-user/671930409
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”

Sample Response
copy
{
    "status": "success",
    "data": {
        "zuid": 3171930400,
        "zaaid": 1019540153,
        "status": "ACTIVE",
        "user_id": 671930409,
        "user_type": "App User",
        "is_confirmed": true,
        "email_id": "john.w@zylker.com",
        "first_name": "John",
        "last_name": "Winchester",
        "created_time": "Jul 09, 2019 04:11 PM",
        "modified_time": "Jul 09, 2019 04:11 PM",
        "invited_time": "Jul 09, 2019 04:11 PM",
        "role_details": {
            "role_id": 3000000005015,
            "role_name": "App User"
        }
        "org_id":1019540153
        "locale": "us|en_us|America/Los_Angeles"
        "time_zone": "America/Los_Angeles"
    }
}